package cn.rankin.apiweb.controller;

import cn.rankin.apiweb.assist.resolver.NeedUser;
import cn.rankin.apiweb.service.user.UserService;
import cn.rankin.common.utils.api.model.APIResult;
import cn.rankin.common.utils.util.FastJsonUtils;
import cn.rankin.data.api.app.vo.DeviceUserVo;
import cn.rankin.data.api.user.vo.QRCodeVo;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Date;
import java.util.HashMap;
import java.util.Map;


@Slf4j
@RestController
@RequestMapping(value = "/qrcode")
public class QRcodeController {

    @Autowired
    private UserService userService;

    @RequestMapping(method = RequestMethod.GET)
    public APIResult<QRCodeVo> qrcode(@NeedUser DeviceUserVo user)
    {
        String eid = user.getEid();
        log.info("qrcode request header : eid={},", eid);
        return userService.qrcode(eid);
    }

    @RequestMapping(value = "/last", method = RequestMethod.GET)
    public APIResult<QRCodeVo> queryLastQRCode(@NeedUser DeviceUserVo user)
    {
        String eid = user.getEid();
        log.info("qrcode request header : eid={},", eid);
        return userService.queryLastQRCode(eid);
    }

    @RequestMapping(value = "/callback", method = RequestMethod.POST)
    public APIResult callback(@RequestParam("data") String data)
    {
        log.info("qrcode/callback request json : json={},", data);
        return userService.qrcodeCallback(data);
    }


    public static String getJson (){

        //二维码信息
        Map<String,Object> qrcode = new HashMap<>();
        qrcode.put("user","100166661101001");
        qrcode.put("time",new Date().getTime());

        //扫码定位信息
        Map<String,Object> position = new HashMap<>();
        position.put("lat","27.10444444");
        position.put("lng","101.5688746");
        position.put("precise","位置精确度低");
        position.put("address","湖南省长沙市五一大道壹号公馆");

        //扫码人老师信息
        Map<String,Object> teacher_info = new HashMap<>();
        teacher_info.put("real_name","方老师");
        teacher_info.put("mobile","17319266010");
        teacher_info.put("position","校长");
        teacher_info.put("en_code","10056");


        //扫码人校区信息
        Map<String,Object> campus_info = new HashMap<>();
        campus_info.put("campus_name","芙蓉校区");
        campus_info.put("en_code","10056");
        campus_info.put("lat","27.10444444");
        campus_info.put("lng","101.5688746");

        //其他附加消息
        Map<String,Object> attach = new HashMap<>();



        Map<String,Object> data = new HashMap<>();
        data.put("qrcode",qrcode);
        data.put("position",position);
        data.put("teacher_info",teacher_info);
        data.put("campus_info",campus_info);
        data.put("attach",attach);



        Map<String,Object> result = new HashMap<>();
        result.put("code","0");
        result.put("status",true);
        result.put("msg","扫码成功");
        result.put("data",data);
        result.put("user","100166661101001");


        String json = FastJsonUtils.toJSONNoFeatures(result);
        System.out.println(json);
        return json;

    }


    public static void main(String[] args){
        String json = getJson();

        Map<Object, Object> objectMap = FastJsonUtils.stringToCollect(json);

        Object code = objectMap.get("code");
        Object status = objectMap.get("status");
        Object msg = objectMap.get("msg");
        Object data = objectMap.get("data");

        System.out.println("=============");

    }

}

