package cn.rankin.cmsweb.controller.user;

import cn.rankin.cmsweb.service.user.MerchantPermitDeviceService;
import cn.rankin.common.utils.api.model.APICode;
import cn.rankin.common.utils.api.model.APIResult;
import cn.rankin.common.utils.api.page.Page;
import cn.rankin.common.utils.util.BeanUtil;
import cn.rankin.data.api.user.dto.MerchantPermitDeviceDTO;
import cn.rankin.data.api.user.vo.MerchantPermitDeviceVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.validation.Valid;

@RestController
@RequestMapping(value = "/merchantPermitDevice")
public class MerchantPermitDeviceController
{

    @Autowired
    private MerchantPermitDeviceService merchantPermitDeviceService;

    @RequestMapping(value = "/list", method = RequestMethod.GET)
    public APIResult<Page<MerchantPermitDeviceVo>> search(MerchantPermitDeviceDTO searchDTO) {
        return merchantPermitDeviceService.search(BeanUtil.convertToMap(searchDTO));
    }

    @RequestMapping(method = RequestMethod.POST)
    public APIResult<MerchantPermitDeviceVo> create(@RequestBody MerchantPermitDeviceDTO dto){
        return merchantPermitDeviceService.create(dto);
    }

    @RequestMapping(method = RequestMethod.PUT)
    public APIResult<MerchantPermitDeviceVo> update(@Valid @RequestBody MerchantPermitDeviceDTO dto){
        if (dto.getId() == null) {
            return APIResult.error(APICode.PARAMETER_ERROR);
        }
        return merchantPermitDeviceService.update(dto);
    }

    @RequestMapping(value = "/{id}", method = RequestMethod.DELETE)
    public APIResult<Boolean> delete(@PathVariable String id) {
        return merchantPermitDeviceService.delete(id);
    }

    @RequestMapping(value = "/{id}", method = RequestMethod.GET)
    public APIResult<MerchantPermitDeviceVo> getMerchantPermitDevice(@PathVariable String id) {
        return merchantPermitDeviceService.getMerchantPermitDevice(id);
    }

}
