package cn.rankin.cmsweb.service.stmt;

import cn.rankin.common.utils.api.model.APIResult;
import cn.rankin.common.utils.api.page.Page;
import cn.rankin.data.api.user.dto.CampusDTO;
import cn.rankin.data.api.user.vo.CampusVo;
import org.springframework.cloud.netflix.feign.FeignClient;
import org.springframework.web.bind.annotation.*;

import java.util.List;
import java.util.Map;

@FeignClient(name = "${service.user.name}")
public interface StmtCampusService
{
    /**
     * 分页查询已开通校区
     *
     * @param searchDTO
     * @return
     */
    @RequestMapping(value = "/stmt/campus/page", method = RequestMethod.GET)
    APIResult<Page<CampusVo>> search(@RequestParam Map<String, Object> searchDTO);

    /**
     * 按照条件查询所有校区
     *
     * @param searchDTO
     * @return
     */
    @RequestMapping(value = "/stmt/campus/list", method = RequestMethod.GET)
    APIResult<List<CampusVo>> query(@RequestParam Map<String, Object> searchDTO);
}
