package cn.rankin.cmsweb.service.stmt;

import cn.rankin.common.utils.api.model.APIResult;
import cn.rankin.common.utils.api.page.Page;
import cn.rankin.data.api.user.entity.TerminalUser;
import cn.rankin.data.api.user.vo.CampusVo;
import cn.rankin.data.api.user.vo.TerminalUserVo;
import org.springframework.cloud.netflix.feign.FeignClient;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;
import java.util.Map;

@FeignClient(name = "${service.user.name}")
public interface StmtTerminalUserService
{
    /**
     * 分页查询终端用户
     *
     * @param searchDTO
     * @return
     */
    @RequestMapping(value = "/stmt/terminal/user/page", method = RequestMethod.GET)
    APIResult<Page<TerminalUserVo>> search(@RequestParam Map<String, Object> searchDTO);

    /**
     * 按照条件查询查询终端用户
     *
     * @param searchDTO
     * @return
     */
    @RequestMapping(value = "/stmt/terminal/user/list", method = RequestMethod.GET)
    APIResult<List<TerminalUserVo>> query(@RequestParam Map<String, Object> searchDTO);
}
