package cn.rankin.cmsweb.service.user;

import cn.rankin.common.utils.api.model.APIResult;
import cn.rankin.common.utils.api.page.Page;
import cn.rankin.data.api.user.dto.MerchantPermitDeviceDTO;
import cn.rankin.data.api.user.vo.MerchantPermitDeviceVo;
import org.springframework.cloud.netflix.feign.FeignClient;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

@FeignClient(name = "${service.user.name}")
public interface MerchantPermitDeviceService {

    @RequestMapping(value = "/merchantPermitDevice/list", method = RequestMethod.GET)
    APIResult<Page<MerchantPermitDeviceVo>> search(@RequestParam Map<String, Object> searchDTO);

    @RequestMapping(value = "/merchantPermitDevice", method = RequestMethod.POST)
    APIResult<MerchantPermitDeviceVo> create(@RequestBody MerchantPermitDeviceDTO dto);

    @RequestMapping(value = "/merchantPermitDevice", method = RequestMethod.PUT)
    APIResult<MerchantPermitDeviceVo> update(@RequestBody MerchantPermitDeviceDTO dto);

    @RequestMapping(value = "/merchantPermitDevice/{id}", method = RequestMethod.DELETE)
    APIResult<Boolean> delete(@PathVariable("id") String id);

    @RequestMapping(value = "/merchantPermitDevice/{id}", method = RequestMethod.GET)
    APIResult<MerchantPermitDeviceVo> getMerchantPermitDevice(@PathVariable("id") String id);

}
