package cn.rankin.data.api.user.entity;

import cn.rankin.common.utils.enums.BaseStatusEnum;
import lombok.Data;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;


@Data
@ToString
@Entity
@Table(name = "u_location_info")
@DynamicInsert
@DynamicUpdate
public class LocationInfo implements Serializable {
    @Id
    @Column(name="id")
    private String id;

    @Column(name="eid")
    private String eid;

    @Column(name="simple")
    private String simple;

    @Column(name="time")
    private Date time;

    //位置信息
    @Column(name="lat")
    private String lat;                 //经纬度

    @Column(name="lng")
    private String lng;                 //经纬度

    @Column(name="precise")
    private String precise;             //说明

    @Column(name="address")
    private String address;             //地址

    //老师信息
    @Column(name="t_real_name")
    private String tRealName;

    @Column(name="t_mobile")
    private String tMobile;

    @Column(name="t_position")
    private String tPosition;

    @Column(name="t_en_code")
    private String tEnCode;

    //校区信息
    @Column(name="campus_name")
    private String campusName;

    @Column(name="c_en_code")
    private String cEnCode;

    @Column(name="c_lat")
    private String cLat;

    @Column(name="c_lng")
    private String cLng;

    @Enumerated(EnumType.ORDINAL)
    @Column(name="status")
    private BaseStatusEnum status;

    @Column(name = "gmt_created", updatable = false, insertable = false, columnDefinition = "timestamp NULL DEFAULT CURRENT_TIMESTAMP")
    @Temporal(TemporalType.TIMESTAMP)
    private Date gmtCreated;

    @Column(name = "gmt_modified", updatable = false, insertable = false, columnDefinition = "timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP")
    @Temporal(TemporalType.TIMESTAMP)
    private Date gmtModified;

}



