package cn.rankin.data.api.user.entity;

import lombok.Data;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;


@Data
@ToString
@Entity
@Table(name = "u_qrcode")
@DynamicInsert
@DynamicUpdate
public class QRCode implements Serializable {
    @Id
    @Column(name="id")
    private String id;

    @Column(name="eid")
    private String eid;

    @Column(name="simple")
    private String simple;

    @Column(name="time")
    private Date time;

    @Column(name="qrcode",columnDefinition="LONGTEXT")
    private String qrcode;

    @Column(name="status")
    private int status;

    @Column(name = "gmt_created", updatable = false, insertable = false, columnDefinition = "timestamp NULL DEFAULT CURRENT_TIMESTAMP")
    @Temporal(TemporalType.TIMESTAMP)
    private Date gmtCreated;

    @Column(name = "gmt_modified", updatable = false, insertable = false, columnDefinition = "timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP")
    @Temporal(TemporalType.TIMESTAMP)
    private Date gmtModified;

}



