package cn.rankin.productservice.repository;

import cn.rankin.common.utils.enums.BaseStatusEnum;
import cn.rankin.common.utils.jpa.BasicJpaRepository;
import cn.rankin.data.api.product.entity.CourseSubRelation;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;

import java.util.List;

public interface CourseSubRelationRepository extends BasicJpaRepository<CourseSubRelation, String> {

    List<CourseSubRelation> findByCourseId(String courseId);

    @Query(value = "select r.* from p_course_sub_relation r where r.course_id = :courseId and r.status = 0 order by r.sort limit 1", nativeQuery = true)
    CourseSubRelation findFirstByCourseIdOrderBySort(@Param("courseId") String courseId);

    @Query(value = "select r from CourseSubRelation r where r.courseId = :courseId and r.status = :status order by r.sort")
    List<CourseSubRelation> findByCourseId(@Param("courseId") String courseId, @Param("status") BaseStatusEnum status);

    @Query(value = "select r from CourseSubRelation r where r.subId = :subId and r.status = :status")
    List<CourseSubRelation> findBySubId(@Param("subId") String subId, @Param("status") BaseStatusEnum status);

    @Modifying
    @Query(value = "update CourseSubRelation r set r.status = 1 where r.courseId = :courseId")
    Integer deleteByCourseId(@Param("courseId") String courseId);
}
