package cn.rankin.userservice.controller;

import cn.rankin.common.utils.api.model.APIResult;
import cn.rankin.data.api.user.dto.UserDeviceDTO;
import cn.rankin.data.api.user.entity.UserDevice;
import cn.rankin.data.api.user.vo.DeviceModelVo;
import cn.rankin.userservice.helper.RaStringHelper;
import cn.rankin.userservice.service.UserDeviceService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.validation.Valid;
import java.util.List;


@RestController
@RequestMapping(value = "/userDevice")
public class UserDeviceController
{

    @Autowired
    private UserDeviceService userDeviceService;

    @RequestMapping(value = "/op/{uid}", method = RequestMethod.POST)
    public int bindingDevice(@PathVariable("uid") String uid,
                             @Valid @RequestBody UserDeviceDTO userDeviceDTO)
    {

        if (RaStringHelper.isNull(uid))
        {
            return 0;
        }
        if (RaStringHelper.isNull(userDeviceDTO.getDeviceCode()))
        {
            return 0;
        }


        userDeviceDTO.setUserId(uid);

        return userDeviceService.opUserDevice(userDeviceDTO);

    }

    @RequestMapping(value = "/list/{uid}", method = RequestMethod.GET)
    public List<UserDevice> bindingDevice(@PathVariable("uid") String uid)
    {
        if(uid == null || uid == "")
        {
            return null;
        }
        return userDeviceService.findByUserId(uid);
    }

    @RequestMapping(value = "/model/list", method = RequestMethod.GET)
    public APIResult<List<DeviceModelVo>> searchDeviceModel(@RequestParam("deviceModel") String deviceModel) {
        APIResult<List<DeviceModelVo>> apiResult = userDeviceService.searchDeviceModel(deviceModel);
        return apiResult;
    }

}
