package cn.rankin.userservice.repository;

import cn.rankin.common.utils.enums.BaseStatusEnum;
import cn.rankin.common.utils.jpa.BasicJpaRepository;
import cn.rankin.data.api.user.entity.MerchantPermitDevice;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;

import java.util.List;


public interface MerchantPermitDeviceRepository extends BasicJpaRepository<MerchantPermitDevice, String> {

    @Query(value = "select m from MerchantPermitDevice m where m.merchantId = :merchantId AND m.status = :status ")
    List<MerchantPermitDevice> findByMerchantId(@Param("merchantId")String merchantId, @Param("status") BaseStatusEnum status);

    @Modifying
    @Query("update MerchantPermitDevice m set m.status = :status where m.id = :id ")
    Integer updateStatusById(@Param("id") String id, @Param("status") BaseStatusEnum status);
}
