package cn.rankin.userservice.repository;

import cn.rankin.common.utils.jpa.BasicJpaRepository;
import cn.rankin.data.api.user.entity.UserTag;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface StmtRepository extends BasicJpaRepository<UserTag, String> {

    /**
     * 配置用户标签的终端数量
     * @param merchantId
     * @param campusId
     * @return
     */
    @Query(value = "SELECT COUNT(1) FROM u_terminal_user tu " +
            " WHERE tu.id IN ( SELECT tag.uid FROM u_user_tag tag WHERE tag.status = 0 )" +
            " AND if(?1 !='',tu.code LIKE CONCAT('%',?1,'%'),1=1) " +
            " AND if(?2 !='',tu.merchant_id=?2,1=1) " +
            " AND if(?3 !='',tu.campus_id=?3,1=1) ",nativeQuery = true)
    int userCount(String code, String merchantId, String campusId);

    @Query(value = "SELECT  tu.id  FROM u_terminal_user tu " +
            " WHERE tu.id IN ( SELECT tag.uid FROM u_user_tag tag WHERE tag.status = 0 ) " +
            " AND if(?1 !='',tu.code LIKE CONCAT('%',?1,'%'),1=1) " +
            " AND if(?2 !='',tu.merchant_id=?2,1=1) " +
            " AND if(?3 !='',tu.campus_id=?3,1=1)  " +
            " ORDER BY tu.gmt_created DESC LIMIT ?4,?5  ",nativeQuery = true)
    List<String> uidList(String code, String merchantId, String campusId, long start, Integer pageSize);
}
