package cn.rankin.userservice.repository;

import cn.rankin.common.utils.enums.BaseStatusEnum;
import cn.rankin.common.utils.jpa.BasicJpaRepository;
import cn.rankin.data.api.user.entity.UserTag;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface UserTagRepository extends BasicJpaRepository<UserTag, String> {

    @Query(value = "select t from UserTag t where t.typeCode = ?1 and t.uid = ?2  and t.status = ?3 order by t.sort")
    List<UserTag> findByTypeCodeUid(String typeCode, String uid, BaseStatusEnum status);

/*
    @Query(value = "select t from UserTag t where t.typeCode=?1 and  t.uid = ?2  and t.status = ?3 order by t.sort")
    List<UserTag> findByCodeUid(String code, String uid, BaseStatusEnum status);
*/

    @Query(value = "select t from UserTag t where t.typeCode = ?1 order by t.sort")
    List<UserTag> findByTypeCode(String typeCode);

    @Query(value = "select t from UserTag t where t.id in (?1) and t.status = ?2")
    List<UserTag> findByIds(List<String> tagIdList, BaseStatusEnum status);

    @Modifying
    @Query(value = "update UserTag t set t.status = 1 where t.id = ?1")
    Integer deleteById(String id);

    @Query(value = "select t from UserTag t where t.uid = ?1  order by t.sort")
    List<UserTag> findUserTagByUid(String uid);

    @Query(value = "select t from UserTag t where t.uid = ?1 and t.status = ?2 order by t.sort")
    List<UserTag> findUserTagByUidStatus(String uid,BaseStatusEnum status);
}
