package cn.rankin.userservice.service;

import cn.rankin.common.utils.util.DateUtil;
import cn.rankin.data.api.user.dto.QRCodeDTO;
import cn.rankin.data.api.user.entity.QRCode;
import cn.rankin.userservice.repository.QRCodeRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.transaction.Transactional;
import java.util.Date;

import static cn.rankin.userservice.utils.DTOConverter.convert;

@Service
public class QRCodeService {

    @Autowired
    private QRCodeRepository qrcodeRepository;

    public QRCode add(QRCodeDTO dto) {
        QRCode qrcode = convert(dto);
        return qrcodeRepository.save(qrcode);
    }

    public QRCode findLastOne(String eid) {
        QRCode qrCode = qrcodeRepository.findLastOne(eid);
        if(null != qrCode ){
            Date now = new Date();
            Date time = DateUtil.getAfterIntervalMInDate(qrCode.getTime(), 1);
            if(now.getTime() > time.getTime()){
                qrCode.setStatus(1); //已失效|过期
                qrcodeRepository.update(qrCode);
            }
            return qrCode;
        }
        return qrCode;
    }

    public QRCode findFirst(QRCode simple) {
        return qrcodeRepository.findFirst(simple);
    }

    public void update(QRCode qrcode) {
        qrcodeRepository.update(qrcode);
    }

    @Transactional
    public void updateStatusFail(String eid) {
        qrcodeRepository.updateStatusFail(eid);
    }
}
